AnsweredAssumed Answered

Upgrading CA Strong Authentication from 8.1 9.0

Question asked by fincl01 Employee on Feb 14, 2018
Latest reply on Mar 25, 2018 by Otavio Paiva

While performing upgrade from 8.1 to 9.0 i am running the oracle dbscript for upgrade

The db-config-for-common-8.x-to-9.0.sql run fine 

Instead, while running the db-config-for-strongauth-8.x-to-9.0.sql i got an error:

Error starting at line : 550 in command -
BEGIN DECLARE num_rows NUMBER := 0;
BEGIN

SELECT count(*)
INTO num_rows
FROM user_constraints
WHERE constraint_name = 'PK_ARWFSEQUENCE';
IF (num_rows = 1) THEN -- IF CONSTRAINT EXISTS, DROP IT
EXECUTE IMMEDIATE 'ALTER TABLE ARWFSEQUENCE DROP CONSTRAINT
PK_ARWFSEQUENCE';
END IF;
EXECUTE IMMEDIATE 'ALTER TABLE ARWFSEQUENCE ADD CONSTRAINT PK_ARWFSEQUENCE
PRIMARY KEY (SEQUENCENAME, INSTANCENAME)';
END;
END;
Error report -
ORA-00955: name is already used by an existing object
ORA-06512: at line 11
00955. 00000 - "name is already used by an existing object"
*Cause:
*Action: 

 

 

This is the snippet of the scripts that cause the error:

BEGIN DECLARE num_rows NUMBER := 0;
BEGIN

SELECT count(*)
INTO num_rows
FROM user_constraints
WHERE constraint_name = 'PK_ARWFSEQUENCE';
IF (num_rows = 1) THEN -- IF CONSTRAINT EXISTS, DROP IT
EXECUTE IMMEDIATE 'ALTER TABLE ARWFSEQUENCE DROP CONSTRAINT PK_ARWFSEQUENCE';
END IF;
EXECUTE IMMEDIATE 'ALTER TABLE ARWFSEQUENCE ADD CONSTRAINT PK_ARWFSEQUENCE PRIMARY KEY (SEQUENCENAME, INSTANCENAME)';
END;
END;

 

 

Is this something already seen before? help on how to fix

 

Best Regards

Claudio

Outcomes